VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | List of all members
ParamChanges Class Reference

AutomationTest helper classes: implementation of IParamValueQueue. More...

`#include <testbase.h>`

Inheritance diagram for ParamChanges:

## Public Member Functions
DECLARE_FUNKNOWN_METHODS | ParamChanges ()
virtual | ~ParamChanges ()
void | init (ParamID _id, int32 _numPoints)
bool | setPoint (int32 index, int32 offsetSamples, double value)
void | resetPoints ()
int32 | getProcessedFrames () const
void | setProcessedFrames (int32 amount)
bool | havePointsBeenRead (bool atAll)
ParamID | getParameterId () SMTG_OVERRIDE
int32 | getPointCount () SMTG_OVERRIDE
tresult | getPoint (int32 index, int32 &offsetSamples, double &value) SMTG_OVERRIDE
tresult | addPoint (int32, double, int32 &) SMTG_OVERRIDE

## Additional Inherited Members
Static Public Attributes inherited from IParamValueQueue
static const FUID | iid

## Detailed Description

AutomationTest helper classes: implementation of IParamValueQueue.

## Constructor & Destructor Documentation

DECLARE_FUNKNOWN_METHODS ParamChanges | ( |  | ) |

~ParamChanges | ( |  | ) |
| virtual

## Member Function Documentation

void init | ( | ParamID | _id,
|  | int32 | _numPoints
| ) |  |

bool setPoint | ( | int32 | index,
|  | int32 | offsetSamples,
|  | double | value
| ) |  |

void resetPoints | ( |  | ) |

int32 getProcessedFrames | ( |  | ) | const

void setProcessedFrames | ( | int32 | amount | ) |

bool havePointsBeenRead | ( | bool | atAll | ) |

ParamID getParameterId | ( |  | ) |
| virtual

Implements IParamValueQueue.

int32 getPointCount | ( |  | ) |
| virtual

Implements IParamValueQueue.

tresult getPoint | ( | int32 | index,
|  | int32 & | offsetSamples,
|  | double & | value
| ) |  |
| virtual

Implements IParamValueQueue.

tresult addPoint | ( | int32 | ,
|  | double | ,
|  | int32 & |
| ) |  |
| virtual

Implements IParamValueQueue.

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.